### Navigation

- index
- next |
- PyEPR 0.8.1 documentation »

# ENVISAT Product Reader Python API

HomePage: | http://avalentino.github.com/pyepr
Author: | Antonio Valentino
Contact: | antonio.valentino@tiscali.it
Copyright: | 2011-2013, Antonio Valentino
Version: | 0.8.1

## Overview

PyEPR provides Python bindings for the ENVISAT Product Reader C API (EPR API) for reading satellite data from ENVISAT ESA (European Space Agency) mission.

PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR Level 1B and Level 2 and also ASAR data products. It provides access to the data either on a geophysical (decoded, ready-to-use pixel samples) or on a raw data layer. The raw data access makes it possible to read any data field contained in a product file.

## Documentation

- User Manual
  - Quick start
  - Requirements
  - Download
  - Installation
  - Testing
  - Python vs C API
  - Memory management
  - Arrays
  - Enumerators
  - Error handling and logging
  - Library initialization
  - High level API
  - Special methods
- Tutorials
  - Interactive use of PyEPR
  - Exporting band data
  - Exporting bitmasks
  - NDVI computation
- API Reference
  - Classes
  - Functions
  - Exceptions
  - Data
- Change history
  - PyEPR 0.8.1 (07/09/2013)
  - PyEPR 0.8 (07/09/2013)
  - PyEPR 0.7.1 (19/08/2013)
  - PyEPR 0.7 (04/08/2013)
  - PyEPR 0.6.1 (26/04/2012)
  - PyEPR 0.6 (12/08/2011)
  - PyEPR 0.5 (25/04/2011)
  - PyEPR 0.4 (10/04/2011)
  - PyEPR 0.3 (01/04/2011)
  - PyEPR 0.2 (20/03/2011)
  - PyEPR 0.1 (09/03/2011)

## Other versions

Online documentation for other PyEpr versions:

- latest development
- 0.8.1 (latest stable)
- 0.8
- 0.7.1
- 0.7
- 0.6.1
- 0.6

## License

Copyright (C) 2011-2013 Antonio Valentino <antonio.valentino@tiscali.it>

PyEPR is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PyEPR is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with PyEPR. If not, see <http://www.gnu.org/licenses/>.

### Navigation

- index
- next |
- PyEPR 0.8.1 documentation »